/* You can add global styles to this file, and also import other style files */

@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-body select-none;
  background-image: url("/assets/images/bg_repeat.webp");
  font-family: "Segoe UI", "Lucida Grande", "Trebuchet MS", Arial,
    "lucida sans unicode", sans-serif;
}

h2,
p {
  @apply m-0 p-0;
}

h2 {
  font-variant: small-caps;
}

.box-shadowed {
  box-shadow: 3px 3px #00000057;
}

.gradient-blue {
  background: rgb(109, 144, 187);
  background: linear-gradient(
    180deg,
    rgba(130, 156, 189, 1) 0%,
    rgba(187, 200, 217, 1) 100%
  );
}

.shadow-title {
  text-shadow: -1px 0px 2px rgba(0, 0, 0, 0.5), 0px 1px 2px rgba(0, 0, 0, 0.5),
    1px 0px 2px rgba(0, 0, 0, 0.5);
}

.action-btn {
  @apply absolute left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2 text-nowrap text-sm text-white font-bold shadow-title;
}

.h2-title {
  @apply shadow-title text-white font-bold text-sm;
}

.tooltip {
  @apply fixed bg-content text-body border-4 border-[#6f7da7] rounded pointer-events-none z-50;
  box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.25);
}

.overlay-disable {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 99;
  right: 0;
  bottom: 0;
  position: absolute;
  background: repeating-linear-gradient(
    45deg,
    rgba(180, 180, 180, 0.4),
    rgba(180, 180, 180, 0.4) 30px,
    rgba(150, 150, 150, 0.4) 20px,
    rgba(150, 150, 150, 0.4) 50px
  );
}

.disabled-btn {
  cursor: initial;
  pointer-events: none !important;
}

/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #d19946;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #6577a3;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #6e7da1;
}

@media screen and (max-width: 764px) {
  .gradient-blue {
    background: linear-gradient(
      180deg,
      rgba(130, 156, 189, 0.95) 0%,
      rgba(187, 200, 217, 0.9) 100%
    );
  }
}
